#!/bin/dash



cd ~/www/configs/emacs || exit 1


# AFAIK star is faster and better than GNU tar
if star --version 2>&1 | grep -i "Schilling" > /dev/null 2>&1
then
    TAR_BIN='star -time -fifostats'
    echo "Cool... You have star, not just GNU tar or plain tar"
elif gtar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="gtar"
    echo "Cool... You have GNU tar, not just plain tar"
elif tar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="tar"
    echo "Cool... You have GNU tar, not just plain tar"
fi


rm -fv juhtolv-emacs.tar.bz2

mkdir juhtolv-emacs
mkdir juhtolv-emacs/dot.emacs-backup
mkdir juhtolv-emacs/dot.emacs.d/

# If some elisp-script is missing, use elpa to retrieve its package. I
# do not dare to include contents of my elpa-directory.
mkdir juhtolv-emacs/dot.emacs.d/elpa

# ~/scripts is a non-standard directory that is in my $PATH
mkdir juhtolv-emacs/scripts/
cat ~/.emacs | grep -v canlock-password > juhtolv-emacs/dot.emacs
cp -av ~/.elisp juhtolv-emacs/dot.elisp
cp -v ~/.viper juhtolv-emacs/dot.viper
cp -v ~/.gnus.el juhtolv-emacs/dot.gnus.el
cp -av $0 juhtolv-emacs/scripts/
cp -v ~/scripts/savedgnus2maildir.sh juhtolv-emacs/scripts/

cp -v ~/.emacs.d/juhtolv-theme.el juhtolv-emacs/dot.emacs.d/


chmod -R ugo+rX,go-w .

$TAR_BIN -v -c -f - juhtolv-emacs | bzip2 -9vvv > juhtolv-emacs.tar.bz2

rm -rf juhtolv-emacs

chmod -R ugo+rX,go-w .


